GlueGen: com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp Interface Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp Interface Reference

Supports semantic equality and hash functions for types. More...

Inheritance diagram for com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp:
Collaboration diagram for com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp:

## Public Member Functions

int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...

## Detailed Description

Supports semantic equality and hash functions for types.

Definition at line 36 of file TypeComparator.java.

## Member Function Documentation

## ◆ equalSemantics()

boolean com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp.equalSemantics | ( | final SemanticEqualityOp | arg | ) |

Semantic equality test for Types exclusive its given `name`.

See also
  hashCodeSemantics()

Implemented in com.jogamp.gluegen.cgram.types.EnumType.Enumerator, com.jogamp.gluegen.cgram.types.Field, com.jogamp.gluegen.cgram.types.FunctionSymbol, com.jogamp.gluegen.cgram.types.SizeThunk, com.jogamp.gluegen.cgram.types.Type, and com.jogamp.gluegen.ConstantDefinition.

## ◆ hashCodeSemantics()

int com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp.hashCodeSemantics | ( |  | ) |

Semantic hashcode for Types exclusive its given `name`.

See also
  equalSemantics(SemanticEqualityOp)

Implemented in com.jogamp.gluegen.cgram.types.EnumType.Enumerator, com.jogamp.gluegen.cgram.types.Field, com.jogamp.gluegen.cgram.types.FunctionSymbol, com.jogamp.gluegen.cgram.types.SizeThunk, com.jogamp.gluegen.cgram.types.Type, and com.jogamp.gluegen.ConstantDefinition.

The documentation for this interface was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/types/TypeComparator.java